package com.zhongshu.card.client.model.devices.permiss;

import com.zhongshu.card.client.model.base.SuperModel;
import com.zhongshu.card.client.type.device.TimeSlotType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author TRX
 * @date 2024/12/19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PermissTimeSlotSimpleModel extends SuperModel {

    @Schema(description = "名称")
    private String name;

    @Schema(description = "时间段类型")
    private TimeSlotType type;

    private String typeStr;

    public String getTypeStr() {
        if (type != null) {
            return type.getRemark();
        }
        return "";
    }
}
